FORT Robotics logoFORT Robotics logoFORT Manager API
  • Getting Started
  • Examples
  • Concepts
  • CLI V2
  • Release Notes
  • API v1 Reference
ApiKeys
    Retrieves keys for an organization.getUpdate the role of the service account associated with a given key nameputValidates an API key for the specified organization.post
Configurations
    Search an organization's configurationsgetCreate a device configurationpostGet a configuration by idgetDelete a configurationdeleteUpdate a configurationpatchGet the current status of a configuration, whether it's complete or has any validation errors.getAdd a device to a configurationpostDelete a device from a configurationdeleteUpdate a device on a configurationpatch
Devices
    Search devicesgetRegister a devicepostGet the latest firmware by device serial numbergetGet the latest firmware version by device serial numbergetGet the latest firmware version by device typegetGets the latest firmware by a specific device type.getGet a device's configurationgetGet a blank configuration for a devicegetUpdate a devicepatchConfirm firmware was applied to a devicepostConfirm configuration was applied to a devicepost
IpNetworkTemplates
    Get IP network templates for an organization. You can search by template name, interface type, as well as sort the list.getCreates a new IP network template for a given comm interface in the current organization.postGet an IP network template by IDget
Users
    Get all usersgetRegister a userpostGet a user by idgetDelete a userdeleteUpdate role for a userpatch
Versions
    Retrieves the current version of the API.get
Schemas
powered by Zudoku
FORT API

Devices

Endpoint:https://platform.fortrobotics.com

Device management. Use this controller to get a device's configuration file, firmware image, or change the device's name.


Search devices

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices

This endpoint returns devices for the organization. You can search by text, filter by specific serial number, or get all devices with pagination.

Search devices › path Parameters

  • orgIdstring · required

    The id of the organization.

Search devices › query Parameters

  • limitinteger · int32

    The number of records to return. Max 30.

  • pageinteger · int32

    The page offset when fetching the records

  • searchstring

    Search text to filter devices by name, serial number, or other searchable fields. Cannot be used together with Serial parameter.

  • serialstring

    Specific serial number to search for a single device. Cannot be used together with Search parameter.

  • configurableOnlyboolean

Search devices › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Search devices › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/devices

Register a device

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices

This endpoint registers a new device with FORT Manager.

Register a device › path Parameters

  • orgIdstring · required

    The id of the organization.

Register a device › query Parameters

  • namestring

    The device name

  • serialNumberstring

    The serial number identifying the device.

Register a device › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Register a device › Request Body

  • deviceImagestring

Register a device › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/devices

Get the latest firmware by device serial number

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/firmware

This endpoint returns the latest firmware file based on your device’s serial number.

Get the latest firmware by device serial number › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Get the latest firmware by device serial number › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get the latest firmware by device serial number › Responses

OK

No data returned
GET /v1/organizations/{orgId}/devices/{serialNumber}/firmware

Get the latest firmware version by device serial number

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/firmware/version

This endpoint returns the version string for the latest firmware based on your device's serial number.

Get the latest firmware version by device serial number › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Get the latest firmware version by device serial number › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get the latest firmware version by device serial number › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/devices/{serialNumber}/firmware/version

Get the latest firmware version by device type

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/types/{deviceType}/firmware/version

This endpoint returns the version string for the latest firmware based on your device's type.

Get the latest firmware version by device type › path Parameters

  • deviceTypestring · enum · required
    Enum values:
    SRCP
    WESP
    EPC
    NSCP
  • orgIdstring · required

    The id of the organization.

Get the latest firmware version by device type › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get the latest firmware version by device type › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
GET /v1/organizations/{orgId}/devices/types/{deviceType}/firmware/version

Gets the latest firmware by a specific device type.

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/types/{deviceType}/firmware

This endpoint returns the latest firmware file for download and update based on your devices type.

Gets the latest firmware by a specific device type. › path Parameters

  • deviceTypestring · enum · required
    Enum values:
    SRCP
    WESP
    EPC
    NSCP
  • orgIdstring · required

    The id of the organization.

Gets the latest firmware by a specific device type. › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Gets the latest firmware by a specific device type. › Responses

OK

No data returned
GET /v1/organizations/{orgId}/devices/types/{deviceType}/firmware

Get a device's configuration

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/configuration-file

This endpoint returns the device configuration file for a specific device identified by its serial number.

Get a device's configuration › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Get a device's configuration › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get a device's configuration › Responses

OK

No data returned
GET /v1/organizations/{orgId}/devices/{serialNumber}/configuration-file

Get a blank configuration for a device

GET
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/configuration-file/blank

This endpoint returns a blank device configuration file for a specific device identified by its serial number.

Get a blank configuration for a device › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Get a blank configuration for a device › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Get a blank configuration for a device › Responses

OK

No data returned
GET /v1/organizations/{orgId}/devices/{serialNumber}/configuration-file/blank

Update a device

PATCH
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}

This endpoint updates partial information of a device identified by its serial number. You can update the name, replace the image or delete the existing image.

Update a device › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Update a device › query Parameters

  • namestring

    The device name

  • deleteImageboolean

    Whether to delete the device image

Update a device › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Update a device › Request Body

  • deviceImagestring

Update a device › Responses

Success

  • dataobject
  • successboolean
  • errorsarray | null
PATCH /v1/organizations/{orgId}/devices/{serialNumber}

Confirm firmware was applied to a device

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/confirm-apply-firmware

This endpoint confirms a firmware apply action and updates the device firmware version.

Confirm firmware was applied to a device › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Confirm firmware was applied to a device › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Confirm firmware was applied to a device › Request Body

  • firmwareFileSuccessfullyDeployedboolean | null

    Indicates whether the firmware file was successfully deployed to the device.

  • errorstring | null

    Error details if the file was not successfully deployed.

  • firmwareVersionstring | null

    Firmware version that was applied to the device.

  • applyTimeStampstring · date-time

    Date and time when the firmware was applied to the device.

Confirm firmware was applied to a device › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/devices/{serialNumber}/confirm-apply-firmware

Confirm configuration was applied to a device

POST
https://platform.fortrobotics.com
/v1/organizations/{orgId}/devices/{serialNumber}/confirm-apply-configuration

This endpoint confirms a configuration apply action and updates the configuration deploy status for this device. The syncId parameter can be retrieved from the syncId property in the body of the CBOR file used, or from the X-Config-File-Sync-Id header returned in the endpoints that download configuration files.

Confirm configuration was applied to a device › path Parameters

  • serialNumberstring · required

    The serial number identifying the device.

  • orgIdstring · required

    The id of the organization.

Confirm configuration was applied to a device › Headers

  • Authorizationstring · required

    The Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.

Confirm configuration was applied to a device › Request Body

  • configurationFileSuccessfullyDeployedboolean
  • errorstring | null

    Error details if the file was not successfully deployed.

  • syncIdstring · uuid
  • applyTimeStampstring · date-time

    Date and time when the firmware was applied to the device.

Confirm configuration was applied to a device › Responses

Success

  • databoolean
  • successboolean
  • errorsarray | null
POST /v1/organizations/{orgId}/devices/{serialNumber}/confirm-apply-configuration

ConfigurationsIpNetworkTemplates